SUSE SLED11 / SLES11 Security Update : libmspack (SUSE-SU-2015:2215-1)

Medium Nessus Plugin ID 87276


The remote SUSE host is missing one or more security updates.


libmspack was updated to fix several security vulnerabilities.

- Fix NULL pointer dereference on a crafted CAB.
(bsc#934524, CVE-2014-9732)

- Fix denial of service while processing crafted CHM file.
(bsc#934525, CVE-2015-4467)

- Fix denial of service while processing crafted CHM file.
(bsc#934529, CVE-2015-4472)

- Fix pointer arithmetic overflow during CHM decompression. (bsc#934526, CVE-2015-4469)

- Fix off-by-one buffer over-read in mspack/mszipd.c.
(bsc#934527, CVE-2015-4470)

- Fix off-by-one buffer under-read in mspack/lzxd.c.
(bsc#934528, CVE-2015-4471)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 11-SP4 :

zypper in -t patch sdksp4-libmspack-12249=1

SUSE Linux Enterprise Software Development Kit 11-SP3 :

zypper in -t patch sdksp3-libmspack-12249=1

SUSE Linux Enterprise Server for VMWare 11-SP3 :

zypper in -t patch slessp3-libmspack-12249=1

SUSE Linux Enterprise Server 11-SP4 :

zypper in -t patch slessp4-libmspack-12249=1

SUSE Linux Enterprise Server 11-SP3 :

zypper in -t patch slessp3-libmspack-12249=1

SUSE Linux Enterprise Desktop 11-SP4 :

zypper in -t patch sledsp4-libmspack-12249=1

SUSE Linux Enterprise Desktop 11-SP3 :

zypper in -t patch sledsp3-libmspack-12249=1

SUSE Linux Enterprise Debuginfo 11-SP4 :

zypper in -t patch dbgsp4-libmspack-12249=1

SUSE Linux Enterprise Debuginfo 11-SP3 :

zypper in -t patch dbgsp3-libmspack-12249=1

To bring your system up-to-date, use 'zypper patch'.

See Also

Plugin Details

Severity: Medium

ID: 87276

File Name: suse_SU-2015-2215-1.nasl

Version: $Revision: 2.4 $

Type: local

Agent: unix

Published: 2015/12/09

Modified: 2016/05/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:libmspack0, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/12/07

Reference Information

CVE: CVE-2014-9732, CVE-2015-4467, CVE-2015-4469, CVE-2015-4470, CVE-2015-4471, CVE-2015-4472

BID: 72474, 72486, 72487, 72488, 72490, 72492

OSVDB: 116750, 116751, 118453, 118454, 118458, 123274